# MPI_Test_cancelled

Tests to see if a request was cancelled

## Synopsis

    #include "mpi.h"
    int MPI_Test_cancelled(
            MPI_Status *status,
            int        *flag)

## Input Parameter

status
  status object (Status)

## Output Parameter

flag
  (logical)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

Location:testcancel.c